For the last twenty years of working with AutoCAD andCAD systems, I have been schlepping around an ever-growing collection of AutoLISP routines (custom AutoCAD programs) that add to and help with basic drafting tasks. In an effort to share this collection of routines with others, I present a new command each week at our staff meetings.
This extremely exciting and not-to-be-missed part of our weekly meeting typically has people pressing their ears against our office door trying to catch just one little glimpse into the wonderful things we can make AutoCAD do. Our CAD discussions (chat) and tips offer shortcuts to the mundane tasks AutoCAD presents us each day. These include the daunting tasks of modifying text, setting up and changing layers and copying and modifying various entities. As an example, ever want to just send all hatches to the back of a drawing so they are not on top of other things? Well, this little bit of code will do it by simply typing ‘hatchback’ and hitting enter …
(defun c:hatchback() (if (setq ss (ssget "x" '((0 . "HATCH"))))(command "draworder" ss "" "b")))
Exciting stuff I know. And, this is just the beginning! There is more where that came from. Better get in line early though. Our door is filling up and the neighbors have begun to complain. We may be moving Chad’s CAD Chat underground and to an undisclosed location. Get it while you can! Did I mention the live performance of the opening theme-song?